* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* common */
a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.show {
    justify-content: center;
}
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;

}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}
/* Path */
.path a {
    color: black;
}
/* Profile */
.profile .jumbotron{
    background-image: linear-gradient(75deg, #FFDEE9, #B5FFFC);
}
.profile .user-header{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}
.profile .user-header .user-img{
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 999px;
    outline: 4px solid #383636;
    outline-offset: 10px;
    border: 2px solid #383636;
}

.profile .email {
    margin-top: 30px;
    font-size: 2rem;
    color: #383636;
}
.profile .phone {
    margin-top: 20px;
    font-size: 1.8rem;
    color: #383636 ;
}
.profile .user-body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}
.profile .user-body h2 {
    text-align: center;
    font-size: 3rem;
    color: #383636;
    letter-spacing: 5px;
}

/* Order */
.order-header{
 width: 100%;    
}
.order-header .active {
    background: #fff;
    color: black;
    box-shadow: 0  0 15px 10px rgba(50, 108, 141, 0.3);
}
.order-header h4 {
    background: #383636;
    color: #fefefe;
    text-align: center;
    padding: 5px 5px;
    cursor: pointer;
    border-radius: 999px;
}
.list-order .item-order{
    border: 5px solid transparent;
    width: 100%;
    border-radius: 15px;
    margin-top: 10px;
    padding: 10px 18px;
    outline-offset: -5px;
    background: #ffffff8e;
}
.list-order .order-details {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 5px;
    padding-bottom: 5px;
    border-bottom: 1px solid #ccc;
}
.list-order .order-details .fa-circle-info {
    font-size: 1.8rem;
    color: blue;
    cursor: pointer;
}

/* details Modal */
.modal-details {
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgba(0,0,0,0.4);
    animation: fadeOut 0.5s ease; 
}

.modal-details .modal-content {
    position: relative;
    width: 60%;
    background-color: #fefefe;
    margin: 15% auto; 
    padding: 30px 20px;
    border: 1px solid #888;
}

.modal-details .close {
    position: absolute;
    right: 8px;
    top: 8px;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
}

.modal-details .close:hover,
.modal-details .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.modal-details .product-item {
    border-bottom: 1.5px solid #ccc;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.modal-details .product-details{
    margin-top: 10px;
}
.modal-details .product-img {
    width: 60%;
    height: 80px;
    object-fit: cover;
    border-radius: 10px;
}
/* cancel modal */
.modals {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #cccccc91;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeOut 1s ease; 
    z-index: 99;
}
@keyframes fadeOut {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.modals .modal-body {
    padding: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
.modals .modal-body .noti{
    font-size: 2rem;
    color: black;
}
.modals .modal-body .btn-cancel-order{
    margin-top: 15px;
    font-size: 1.6rem;
    width: 100px;
}
.modals .modal-body .fa-xmark {
    font-size: 1.8rem;
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}
/* Toast */
.toast {
    position: fixed;
    top: 12%;
    right: 20px;
    font-size: 1.6rem;
    background: #ccc;
}
.toast .close-toast {
    font-size: 2rem;
    background: #ccc;
    color: white;
    border-radius: 999px;
    background: transparent;
    border: none;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */

@media only screen and (max-width: 992px) {
    .modal-details .product-img {
        width: 100%;
        height: 120px;
    }
}
@media only screen and (max-width: 768px) {
    .modal-details .modal-content {
        width: 90%;
    }
}
@media only screen and (max-width: 567px) {
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
}